Bug 1574194 (CVE-2018-10393) - CVE-2018-10393 libvorbis: stack buffer overflow in bark_noise_hybridmp function
Summary: CVE-2018-10393 libvorbis: stack buffer overflow in bark_noise_hybridmp function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10393
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1574198 1574199 1574200 1574201 1586139
Blocks: 1574197
TreeView+ depends on / blocked
 
Reported: 2018-05-02 19:17 UTC by Laura Pardo
Modified: 2019-11-06 00:51 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A stack-based buffer overflow was found in the encoder functionality of the libvorbis library. An attacker could create a malicious file to cause a denial of service, crashing the application containing the library.
Clone Of:
Environment:
Last Closed: 2019-11-06 00:51:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3703 None None None 2019-11-05 22:06:41 UTC

Description Laura Pardo 2018-05-02 19:17:14 UTC
A flaw was found in libvorbis 1.3.6. The bark_noise_hybridmp function in psy.c file in Xiph.Org has a stack-based buffer over-read which allows remote attackers to cause a denial of service via a crafted file.


References:
https://gitlab.xiph.org/xiph/vorbis/issues/2334

Comment 1 Laura Pardo 2018-05-02 19:25:46 UTC
Created libvorbis tracking bugs for this issue:

Affects: fedora-all [bug 1574199]


Created mingw-libvorbis tracking bugs for this issue:

Affects: epel-7 [bug 1574198]
Affects: fedora-all [bug 1574200]

Comment 9 errata-xmlrpc 2019-11-05 22:06:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3703 https://access.redhat.com/errata/RHSA-2019:3703

Comment 10 Product Security DevOps Team 2019-11-06 00:51:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-10393


Note You need to log in before you can comment on or make changes to this bug.